/********************************************************************\

  Name:         minirc.c
  Created by:   Stefan Ritt

  Contents:     A "Mini-Run Control" program showing the basic concept
                of talking to frontends in the MIDAS system


  Revision history
  ------------------------------------------------------------------
  date         by    modification
  ---------    ---   ------------------------------------------------
  25-JAN-95    SR    created


\********************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include "midas.h"

/*------------------------------------------------------------------*/

main()
{
INT           run_number, status;
char          host_name[NAME_LENGTH];
char          str[256];

  printf("Host to connect: ");
  gets(host_name);

  /* connect to experiment */
  status = cm_connect_experiment(host_name, "", "MiniRC", NULL);
  if (status == CM_WRONG_PASSWORD)
    {
    printf("Wrong password\n");
    return 0;
    }
  if (status != CM_SUCCESS)
    {
    printf("Cannot connect to host %s\n", host_name);
    return 0;
    }

  printf("Enter run number: ");
  gets(str);
  run_number = atoi(str);

  /* now call rc_transition directly */
  printf("Start run\n");

  if (cm_transition(TR_START, run_number, str, sizeof(str), SYNC) != CM_SUCCESS)
    printf(str);

  printf("Hit RETURN to stop run");
  getchar();
  
  if (cm_transition(TR_STOP, run_number, str, sizeof(str), SYNC) != CM_SUCCESS)
    printf(str);

  cm_disconnect_experiment();

  return 1;
}
